Summary:	Web based administration interface for freeradius
Name:		freeradius-web
Version:	1.80
Release:	%mkrel 4
License:	GPL
Group:		System/Servers
URL:		http://sourceforge.net/projects/dialup-admin/
Source0:	dialup_admin-%{version}.tar.bz2
Patch0:		dialup_admin-1.80-mdv_config.diff
Requires:	apache-mod_php
Requires:	freeradius
Requires:	net-snmp
Requires:	net-snmp-utils
Requires:	php-mysql
BuildArch:	noarch
# webapp macros and scriptlets
Requires(post):		rpm-helper >= 0.16
Requires(postun):	rpm-helper >= 0.16
BuildRequires:	rpm-helper >= 0.16
BuildRequires:	rpm-mandriva-setup >= 1.23
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
dialup_admin is a web based administration interface for the
freeradius radius server. It is written in PHP4. It is modular
and right now it assumes that user information is stored in an
ldap server or an sql database and accounting in an sql server.

%prep 

%setup -q -n dialup_admin-%{version}
%patch0 -p1

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# fix path
find . -type f | xargs perl -pi -e "s|/usr/local/bin|%{_bindir}|g"

# move php3 to php
find * -name '*.php3' | while read php3; do
    mv $php3 ${php3%%.php3}.php
done

find . -type f | xargs perl -pi -e "s|\.php3|\.php|g"

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}/var/www/%{name}

install -m0644 conf/accounting.attrs %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/admin.conf %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/auth.request %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/captions.conf %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/config.php %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/default.vals %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/extra.ldap-attrmap %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/naslist.conf %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/sql.attrmap %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/sql.attrs %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/user_edit.attrs %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/username.mappings %{buildroot}%{_sysconfdir}/%{name}

install -m0755 bin/clean_radacct %{buildroot}%{_bindir}/
install -m0755 bin/log_badlogins %{buildroot}%{_bindir}/
install -m0755 bin/monthly_tot_stats %{buildroot}%{_bindir}/
install -m0755 bin/showmodem %{buildroot}%{_bindir}/
install -m0755 bin/snmpfinger %{buildroot}%{_bindir}/freeradius-web-snmpfinger
install -m0755 bin/tot_stats %{buildroot}%{_bindir}/
install -m0755 bin/truncate_radacct %{buildroot}%{_bindir}/
install -m0755 bin/backup_radacct %{buildroot}%{_bindir}/
install -m0755 bin/clearsession %{buildroot}%{_bindir}/
install -m0755 bin/sqlrelay_query %{buildroot}%{_bindir}/

cp -aRf htdocs %{buildroot}/var/www/%{name}/
cp -aRf html %{buildroot}/var/www/%{name}/
cp -aRf lib %{buildroot}/var/www/%{name}/

# fix a simple redirector
cat > %{buildroot}/var/www/%{name}/index.html << EOF
<html>
<head>
<title></title>
<meta HTTP-EQUIV="REFRESH" CONTENT="0; URL=htdocs/index.html">
</head>
<body>
</body>
</html>
EOF

# apache configuration
install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
# %{name} Apache configuration
Alias /%{name} %{_var}/www/%{name}

<Directory %{_var}/www/%{name}>
    Allow from all
</Directory>
EOF

%clean
rm -rf %{buildroot}

%post
%_post_webapp

%postun
%_postun_webapp

%files
%defattr(-,root,root)
%doc doc/AUTHORS doc/FAQ doc/HELP_WANTED doc/TODO Changelog README
%doc sql bin/dialup_admin.cron
%config(noreplace) %{_webappconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}
%{_bindir}/*
/var/www/%{name}


%changelog
* Wed Dec 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.80-4mdv2008.1
+ Revision: 115552
- don't install README under web root
- file section cleanup
- web policy compliance
- drop useless build dependencies
  drop useless perl explicit dependencies
  drop abusive mysql server dependency

* Mon Jun 25 2007 Oden Eriksson <oeriksson@mandriva.com> 1.80-3mdv2008.0
+ Revision: 43811
- fix deps


* Fri Jan 12 2007 Andreas Hasenack <andreas@mandriva.com> 1.80-2mdv2007.0
+ Revision: 108000
- rebuild
- using mkrel
- Import freeradius-web

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 1.80-0.1mdk
- 1.80 (from freeradius cvs)
- rediffed P0

* Sat Oct 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.75-0.1mdk
- yanked the source from the freeradius CVS
- fix P0

